haskell-cgi (3001.5.0.0-1build2) hirsute; urgency=medium

  * No-change rebuild for new GHC ABIs

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Oct 2020 20:21:23 +0000

haskell-cgi (3001.5.0.0-1build1) groovy; urgency=medium

  * Rebuild against new GHC abi.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 22 Jul 2020 17:21:31 +0200

haskell-cgi (3001.5.0.0-1) unstable; urgency=medium

  * New upstream release

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Wed, 17 Jun 2020 07:04:02 +0300

haskell-cgi (3001.4.0.0-1) unstable; urgency=medium

  * New upstream release
  * Relax network dependency

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 26 Aug 2019 09:37:16 +0200

haskell-cgi (3001.3.0.3-2) unstable; urgency=medium

  * Explicitly set DEB_CABAL_PACKAGE to work around bug in
    haskell-devscripts.
  * Build-depend on haskell-devscripts (>= 0.15) to work around
    ancient timestamp.  closes: #933204.

 -- Clint Adams <clint@debian.org>  Sat, 27 Jul 2019 13:24:10 -0400

haskell-cgi (3001.3.0.3-1) unstable; urgency=medium

  * New upstream version.

 -- Clint Adams <clint@debian.org>  Sat, 27 Jul 2019 09:14:09 -0400

haskell-cgi (3001.3.0.2-7) unstable; urgency=medium

  * Relax build-dep on libghc-exceptions-dev and libghc-doctest-dev

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sat, 20 Oct 2018 14:18:13 +0300

haskell-cgi (3001.3.0.2-6) unstable; urgency=medium

  * Remove build dependency on libghc-parsec3-dev (provided by ghc-
    8.4.3)

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Wed, 03 Oct 2018 12:06:11 +0300

haskell-cgi (3001.3.0.2-5) unstable; urgency=medium

  * Remove build dependency on libghc-mtl-dev (provided by ghc-8.4.3)

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Mon, 01 Oct 2018 13:33:22 +0300

haskell-cgi (3001.3.0.2-4) unstable; urgency=medium

  [ Clint Adams ]
  * Set Rules-Requires-Root to no.

  [ Ilias Tsitsimpis ]
  * Bump debhelper compat level to 10

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sun, 30 Sep 2018 21:03:49 +0300

haskell-cgi (3001.3.0.2-3) unstable; urgency=medium

  * Enable testsuite.

 -- Clint Adams <clint@debian.org>  Mon, 16 Apr 2018 11:13:12 -0400

haskell-cgi (3001.3.0.2-2) unstable; urgency=medium

  [ Ilias Tsitsimpis ]
  * Change Priority to optional. Since Debian Policy version 4.0.1,
    priority extra has been deprecated.
  * Use the HTTPS form of the copyright-format URL
  * Modify d/watch and Source field in d/copyright to use HTTPS
  * Declare compliance with Debian policy 4.1.1
  * Use salsa.debian.org URLs in Vcs-{Browser,Git} fields

  [ Clint Adams ]
  * Bump to Standards-Version 4.1.4.

 -- Clint Adams <clint@debian.org>  Mon, 09 Apr 2018 20:04:43 -0400

haskell-cgi (3001.3.0.2-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Sat, 17 Jun 2017 13:59:38 -0400

haskell-cgi (3001.3.0.1-3) unstable; urgency=medium

  * Upload to unstable as part of GHC 8 transition.

 -- Clint Adams <clint@debian.org>  Thu, 27 Oct 2016 18:32:47 -0400

haskell-cgi (3001.3.0.1-2) experimental; urgency=medium

  * Temporarily build-depend on ghc 8.

 -- Clint Adams <clint@debian.org>  Sun, 16 Oct 2016 15:39:30 -0400

haskell-cgi (3001.3.0.1-1) unstable; urgency=medium

  [ Dmitry Bogatov ]
  * Use secure (https) uri in Vcs-Git field in 'debian/control'
  * Bump standards version to 3.9.8 (no changes needed)
  * Convert `debian/copyright' to dep5 format

  [ Joachim Breitner ]
  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Sat, 28 May 2016 13:42:28 +0200

haskell-cgi (3001.2.2.2-3) unstable; urgency=medium

  * Switch Vcs-Git/Vcs-Browser headers to new location.

 -- Clint Adams <clint@debian.org>  Thu, 03 Dec 2015 14:54:10 -0500

haskell-cgi (3001.2.2.2-2) experimental; urgency=medium

  * Depend on old-{locale,time}
  * Bump standards-version to 3.9.6
  * Depend on haskell-devscripts >= 0.10 to ensure that this package
    builds against GHC in experimental

 -- Joachim Breitner <nomeata@debian.org>  Thu, 20 Aug 2015 10:27:08 +0200

haskell-cgi (3001.2.2.2-1) unstable; urgency=medium

  * Depend on haskell-devscripts 0.9, found in experimental
  * Do not depend on xhtml, which now comes with GHC
  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Wed, 29 Apr 2015 09:45:56 +0200

haskell-cgi (3001.1.8.5-1) unstable; urgency=low

  * Adjust watch file to new hackage layout
  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Mon, 04 Aug 2014 23:03:46 +0200

haskell-cgi (3001.1.8.3-3) unstable; urgency=low

  * Move Haskell blurb to the end of the description, reduces the impact
    of #708703

 -- Joachim Breitner <nomeata@debian.org>  Sat, 25 May 2013 23:52:03 +0200

haskell-cgi (3001.1.8.3-2) unstable; urgency=low

  * Enable compat level 9
  * Use substvars for Haskell description blurbs

 -- Joachim Breitner <nomeata@debian.org>  Fri, 24 May 2013 12:50:05 +0200

haskell-cgi (3001.1.8.3-1) experimental; urgency=low

  * Depend on haskell-devscripts 0.8.13 to ensure this packages is built
    against experimental
  * Bump standards version, no change
  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Thu, 08 Nov 2012 10:03:42 +0100

haskell-cgi (3001.1.8.2-2) unstable; urgency=low

  * Bump to Standards-Version 3.9.3.

 -- Clint Adams <clint@debian.org>  Thu, 23 Feb 2012 13:36:33 -0500

haskell-cgi (3001.1.8.2-1) unstable; urgency=low

  * New upstream version.

 -- Clint Adams <clint@debian.org>  Fri, 21 Oct 2011 22:34:35 -0400

haskell-cgi (3001.1.7.4-1) unstable; urgency=low

  [ Marco Silva ]
  * Use ghc instead of ghc6

  [ Joachim Breitner ]
  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Sun, 27 Mar 2011 11:28:01 +0530

haskell-cgi (3001.1.7.2-1) unstable; urgency=low

  * New upstream release, part of the Haskell Platform

 -- Joachim Breitner <nomeata@debian.org>  Sat, 01 May 2010 16:29:58 +0200

haskell-cgi (3001.1.7.1-3) unstable; urgency=low

  [ Marco Túlio Gontijo e Silva ]
  * debian/source/format: Use 3.0 (quilt).

 -- Joachim Breitner <nomeata@debian.org>  Thu, 25 Feb 2010 10:23:14 +0100

haskell-cgi (3001.1.7.1-2) unstable; urgency=low

  [ Kari Pahula ]
  * Added missing build dependency on libghc6-mtl-dev (Closes: #536584)
  * Bumped Standards-Version to 3.8.2.
    * Use Section: haskell.

 -- Joachim Breitner <nomeata@debian.org>  Fri, 12 Feb 2010 15:40:43 +0100

haskell-cgi (3001.1.7.1-1) unstable; urgency=low

  * New upstream release
  * New maintainer.
  * Switched over to use haskell-devscripts and hlibrary.mk.

 -- Kari Pahula <kaol@debian.org>  Fri, 27 Feb 2009 21:17:55 +0200

haskell-cgi (3001.1.5.1-5) unstable; urgency=low

  * Upgrade to "Generic Haskell cabal library packaging files v10":
    * Versioned dependencies are now generated for the Cabal packages we
      depend on.
    * Use the new ${impl:ghc6:*_deps} variables in debian/control.in.
    * Call canonicalise-comma-list on the depends and suggests fields in
      control.in. This works around bugs in lintian, where it gets
      confused and starts giving spurious warnings.

 -- Ian Lynagh (wibble) <igloo@debian.org>  Thu, 28 Feb 2008 01:01:44 +0000

haskell-cgi (3001.1.5.1-4) unstable; urgency=low

  * New upstream version.
  * Upgrade to "Generic Haskell cabal library packaging files v9":
    * Allows Setup to be in Setup.lhs instead of Setup.hs.
    * Bump the required haskell-utils from 1.8 to 1.10.
    * The control.in gives a standards-version of 3.7.3 (was 3.7.2).
    * Move everything from the devel section to the libdevel section.
    * Delete the LICENSE file (currently we assume it has that name, and
      that it exists) after "Setup copy"ing the Cabal package.
    * Remove some hacks that worked around older Cabal not letting us
      tell it exactly where to put the documentation.
    * Use --hyperlink-source when telling Cabal to haddock the library.
    * Add hscolour to the build-depends.

 -- Ian Lynagh (wibble) <igloo@debian.org>  Tue, 20 Nov 2007 00:01:08 +0000

haskell-cgi (3001.1.1-2) unstable; urgency=low

  * Upgrade to "Generic Haskell cabal library packaging files v8":
    * update-generated-files rule in debian/rules runs
      update-debian-haskell-files.
    * Build-dep on haddock >= 0.8-2 in order to get portable .haddock files.
    * We tell Cabal's configure where to put the docs so that it doesn't
      break when we move them around behind its back.
    * Use canonicalise-comma-list around the build-deps in debian/control.in
      to fix problems where we get an unparsable ", , " when a variable is
      empty.

 -- Ian Lynagh (wibble) <igloo@debian.org>  Mon, 04 Jun 2007 21:53:04 +0000

haskell-cgi (3001.1.1-1) unstable; urgency=low

  * New upstream version.
  * Fix Setup.hs (type signatures don't match our version of Cabal).
  * Split off profiling and documentation into separate packages.
  * debian/control.in now makes much more use of variables, including
    magic Cabal variables.
  * Use debhelper level 5 (was 4).
  * Bump haskell-utils build-dep requirement to 1.8.
  * Upgrade to "Generic Haskell cabal library debian/rules v0.7":
    * Generate haddock docs.
    * -doc package calls gen_contents_index from postinst and postrm.
    * Use destdir rather than deprecated copy-prefix flag to Setup copy.
    * Add -X.haddock to dh_compress call.

 -- Ian Lynagh (wibble) <igloo@debian.org>  Thu, 10 May 2007 13:41:20 +0100

haskell-cgi (2006.9.6-3) unstable; urgency=low

  * Upgrade to "Generic Haskell cabal library debian/rules v0.6".
    Tell setup to use ghc6 rather than ghc, so that the postinst/prerm
    scripts work when the ghc-pkg symlink doesn't exist or doesn't
    point to ghc6's ghc-pkg.

 -- Ian Lynagh (wibble) <igloo@debian.org>  Mon, 20 Nov 2006 20:50:42 +0000

haskell-cgi (2006.9.6-2) unstable; urgency=low

  * Update control from control.in to include arm, mips and mipsel in the
    architecture list.
  * Upgrade to "Generic Haskell cabal library debian/rules v0.5".
    Fixes build-failure on non-x86/amd64 due to object splitting
    being unconditionally enabled.

 -- Ian Lynagh (wibble) <igloo@debian.org>  Mon, 23 Oct 2006 12:32:51 +0100

haskell-cgi (2006.9.6-1) unstable; urgency=low

  * Initial release (was part of ghc6 until version 6.6-1).

 -- Ian Lynagh (wibble) <igloo@debian.org>  Fri, 13 Oct 2006 16:43:11 +0000
